For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDashboard
DocsAPI ReferenceWebhooksMethodsUI ComponentsMCP ServerChangelog
  • API Reference
      • POSTList Webhooks
      • POSTRetrieve Webhooks
      • POSTAttach Webhook
      • POSTDetach Webhook
LogoLogo
SupportDashboard
API ReferenceWebhooks

List Webhooks

POST
https://api.pinnacle.sh/webhooks/list
POST
/webhooks/list
1import { PinnacleClient } from "rcs-js";
2
3async function main() {
4 const client = new PinnacleClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.webhooks.list({});
8}
9main();
1{
2 "data": [
3 {
4 "id": "wh_abc123",
5 "name": "SMS Delivery Webhook",
6 "endpoint": "https://example.com/webhooks/sms",
7 "status": "ENABLED",
8 "createdAt": "2025-01-15T10:30:00Z",
9 "updatedAt": "2025-01-15T10:30:00Z",
10 "headers": {
11 "X-API-KEY": "sk_live_...",
12 "X-TENANT-ID": "tenant_42"
13 }
14 },
15 {
16 "id": "wh_def456",
17 "name": "RCS Events",
18 "endpoint": "https://example.com/webhooks/rcs",
19 "status": "ENABLED",
20 "createdAt": "2025-01-10T08:00:00Z",
21 "updatedAt": "2025-02-01T12:00:00Z",
22 "headers": null
23 }
24 ],
25 "hasMore": false,
26 "count": 2
27}
List all webhooks with optional filtering and pagination. Results are sorted by creation date, newest first.
Was this page helpful?
Previous

Retrieve Webhooks

Next
Built with

Authentication

PINNACLE-API-KEYstring
API Key authentication via header

Request

This endpoint expects an object.
pageIndexintegerOptional>=0Defaults to 0
pageSizeintegerOptional1-100Defaults to 20
statusenumOptional
Allowed values:
endpointstringOptional

Filter webhooks by endpoint URL (partial match, case-insensitive).

Response

Returns paginated list of webhooks.
datalist of objects
hasMoreboolean
countinteger

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error